function [ ] = flex_840_075( )
clear; clc 
% Provide base file name and number of files to be read
BaseFile1 = 'read\840_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data = cell2mat(SR);
% Open the MT=model test file, read, close.
MT = fopen('read\3340.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
% Open the DNV load from RP-F-111, with point load in simla, read, close.
BaseFile1 = 'read\840_075_195_Flex_DNV_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data=cell2mat(DNVR);
% Transform your cell array into an ordinary matrix 
MTR=cell2mat(MTread);

%max Fh from model test:
Fhtest=max(MTR(:,2))
%max Fh from simulation:
for i=3820:13820  
Force(i,1)=(sim_data(i,2)+sim_data(i,3))/1000;
end
Fhsimla=max(Force)
Fhsimla840_075_Flex=Fhsimla/Fhtest
%max Fh from DNV:
for i=1:240  
ForceDNV(i,1)=(DNV_data(i,2)+DNV_data(i,3))/1000;
end
FhDNV=max(ForceDNV)
FhDNV=FhDNV/Fhtest
%simulation values to plot:
for i=3820:13820
time(i,1)=sim_data(i,1)-15.0-0.5;    
Force(i,1)=((sim_data(i,2)+sim_data(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
simres=[time Force];
%DNV values to plot:
for i=1:240
timeDNV(i,1)=DNV_data(i,1)-1.0;    
ForceDNV(i,1)=((DNV_data(i,2)+DNV_data(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
DNVres=[timeDNV ForceDNV];

%test values to plot:
for i = 1:179
    MTR(i,1)=MTR(i,1)-115.358-1.4;
    MTR(i,2)=MTR(i,2)/Fhtest;
end

%PLOT

%function defining plot properties is applied:
def=applyDefaultFontProperties(figure());
%figure %open up a new figure window


%plot simulation results:
simla=plot(simres(:,1),simres(:,2),'-','linewidth',1.3);
%simla=plot(simres(:,1),simres(:,2));
%title('840 mm pipe 0.75 m freespan flexible condition') %add a title A Title at the top of the plot
%grid %include a grid in the plot

%Defining axis range and axis text
axis([0 5.5 -0.5 1.5]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis

hold all %want to make another plot in same graph
test=plot(MTR(:,1),MTR(:,2),'--');
%test=plot(MTR(:,1),MTR(:,2));
%plot dnv-results:
dnv=plot(DNVres(:,1),DNVres(:,2),'-.');
%make legend:
l=legend('SIMLA','Test','DNV','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);
%hold off %releases the graph for a fresh start

%save plot:
Flex840_075=gcf;
saveas(Flex840_075,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Flex840_075.eps', 'psc2');
%tikz plot:
%matlab2tikz( 'Flex840_075.tikz' );
%matlab2tikz( 'read\Flex840_075.tikz', 'height', '\figureheight', 'width', '\figurewidth' );

hold off %releases the graph for a fresh start

end
