function [ ] = flex_840_lowpass( )

clear; clc 

%%%%%%%%%%%%%%%%%%%%%% 840 mm 075 FLEX %%%%%%%%%%%%%%%%%%%%%%%%
disp('840mm 0.75m flex:')
BaseFile1 = 'read\840_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data = cell2mat(SR);
% Open the MT=model test file, read, close.
MT = fopen('read\3340.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
% Open the DNV load from RP-F-111, with point load in simla, read, close.
BaseFile1 = 'read\840_075_195_Flex_DNV_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data=cell2mat(DNVR);
% Transform your cell array into an ordinary matrix 
MTR=cell2mat(MTread);

%max Fh from model test:
Fhtest=max(MTR(:,2))
%max Fh from simulation:
for i=3820:13820  
Forcefilt(i,1)=(sim_data(i,2)+sim_data(i,3))/1000;
end
Fhsimla_840_075_flex=max(Forcefilt)
%max Fh from DNV:
for i=1:240  
ForceDNV_840_075_flex(i,1)=(DNV_data(i,2)+DNV_data(i,3))/1000;
end
FhDNV=max(ForceDNV_840_075_flex)
%simulation values to plot:
for i=3820:13820
time(i,1)=sim_data(i,1)-15.0-0.5;    
Force(i,1)=((sim_data(i,2)+sim_data(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
simres=[time Force];

%test values to plot:
for i = 1:179
    MTR(i,1)=MTR(i,1)-115.358-1.4;
    MTR(i,2)=MTR(i,2);
end

% Signal Filtering
fcut=1.58;
fsamp=1000;

[b,a] = butter(5,fcut/(0.5*fsamp),'low');
fhsimfilt = filtfilt(b,a,Forcefilt);
fhsimfilt_max=max(fhsimfilt)


%PLOT
def=applyDefaultFontProperties(figure());

simla=plot(simres(:,1),Forcefilt,'-','linewidth',1.3);
hold all
filt=plot(simres(:,1),fhsimfilt,'--');
%test=plot(MTR(:,1),MTR(:,2),'--');

axis([0 6 0 250]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Force [kN]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('SIMLA','filtered','Test','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',19);
Lowpass_840_075_flex=gcf;
saveas(Lowpass_840_075_flex,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Lowpass_840_075_flex.eps', 'psc2');
hold off %releases the graph for a fresh start





%%%%%%%%%%%%%%%%%%%%%% 840 mm 05 FLEX %%%%%%%%%%%%%%%%%%%%%%%%
clear;
disp('840mm 0.5m flex:')
BaseFile1 = 'read\840_05_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data = cell2mat(SR);
% Open the MT=model test file, read, close.
MT = fopen('read\3250.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
% Open the DNV load from RP-F-111, with point load in simla, read, close.
BaseFile1 = 'read\840_05_195_Flex_DNV_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data=cell2mat(DNVR);
% Transform your cell array into an ordinary matrix 
MTR=cell2mat(MTread);

%max Fh from model test:
Fhtest=max(MTR(:,2))
%max Fh from simulation:
for i=3820:13820  
Forcefilt(i,1)=(sim_data(i,2)+sim_data(i,3))/1000;
end
Fhsimla=max(Forcefilt)
%max Fh from DNV:
for i=1:240  
ForceDNV(i,1)=(DNV_data(i,2)+DNV_data(i,3))/1000;
end
FhDNV=max(ForceDNV)
%simulation values to plot:
for i=4820:13820
time(i,1)=sim_data(i,1)-16.0;    
Force(i,1)=((sim_data(i,2)+sim_data(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
simres=[time Force];

%test values to plot:
for i = 1:88
    MTR(i,1)=MTR(i,1)-104.245-0.75;
    MTR(i,2)=MTR(i,2);
end

% Signal Filtering
fcut=1.58;
fsamp=1000;

[b,a] = butter(5,fcut/(0.5*fsamp),'low');
fhsimfilt = filtfilt(b,a,Forcefilt);
fhsimfilt_max=max(fhsimfilt)


%PLOT
def=applyDefaultFontProperties(figure());

simla=plot(simres(:,1),Forcefilt,'-','linewidth',1.3);
hold all
filt=plot(simres(:,1),fhsimfilt,'--');
%test=plot(MTR(:,1),MTR(:,2),'--');

axis([0 6 0 250]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Force [kN]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('SIMLA','filtered','Test','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',19);
Lowpass_840_05_flex=gcf;
saveas(Lowpass_840_05_flex,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Lowpass_840_05_flex.eps', 'psc2');
hold off %releases the graph for a fresh start







%%%%%%%%%%%%%%%%%%%%%% 840 mm 025 FLEX %%%%%%%%%%%%%%%%%%%%%%%%
clear;
disp('840mm 0.25m flex:')
BaseFile1 = 'read\840_025_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data = cell2mat(SR);
% Open the MT=model test file, read, close.
MT = fopen('read\3160.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
% Open the DNV load from RP-F-111, with point load in simla, read, close.
BaseFile1 = 'read\840_025_195_Flex_DNV_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data=cell2mat(DNVR);
% Transform your cell array into an ordinary matrix 
MTR=cell2mat(MTread);

%max Fh from model test:
Fhtest=max(MTR(:,2))
%max Fh from simulation:
for i=3820:13820  
Forcefilt(i,1)=(sim_data(i,2)+sim_data(i,3))/1000;
end
Fhsimla=max(Forcefilt)
%max Fh from DNV:
for i=1:240  
ForceDNV(i,1)=(DNV_data(i,2)+DNV_data(i,3))/1000;
end
FhDNV=max(ForceDNV)
%simulation values to plot:
for i=4820:13820
time(i,1)=sim_data(i,1)-16.0;    
Force(i,1)=((sim_data(i,2)+sim_data(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
simres=[time Force];

%test values to plot:
for i = 1:127
    MTR(i,1)=MTR(i,1)-97.7798-1.7;
    MTR(i,2)=MTR(i,2);
end

% Signal Filtering
fcut=1.58;
fsamp=1000;

[b,a] = butter(5,fcut/(0.5*fsamp),'low');
fhsimfilt = filtfilt(b,a,Forcefilt);
fhsimfilt_max=max(fhsimfilt)


%PLOT
def=applyDefaultFontProperties(figure());

simla=plot(simres(:,1),Forcefilt,'-','linewidth',1.3);
hold all
filt=plot(simres(:,1),fhsimfilt,'--');
%test=plot(MTR(:,1),MTR(:,2),'--');

axis([0 6 0 250]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Force [kN]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('SIMLA','filtered','Test','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',19);
hold off %releases the graph for a fresh start






%%%%%%%%%%%%%%%%%%%%%% 840 mm 075 FIXED %%%%%%%%%%%%%%%%%%%%%%%%
clear;
disp('840mm 0.75m fixed:')
BaseFile1 = 'read\840_075_195_Fixed_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data = cell2mat(SR);
% Open the MT=model test file, read, close.
MT = fopen('read\3360.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
% Open the DNV load from RP-F-111, with point load in simla, read, close.
BaseFile1 = 'read\840_075_195_Fixed_DNV_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data=cell2mat(DNVR);
% Transform your cell array into an ordinary matrix 
MTR=cell2mat(MTread);

%max Fh from model test:
Fhtest=max(MTR(:,2))
%max Fh from simulation:
for i=3820:13820  
Forcefilt(i,1)=(sim_data(i,2)+sim_data(i,3))/1000;
end
Fhsimla=max(Forcefilt)
%max Fh from DNV:
for i=1:240  
ForceDNV(i,1)=(DNV_data(i,2)+DNV_data(i,3))/1000;
end
FhDNV=max(ForceDNV)
%simulation values to plot:
for i=3820:13820
time(i,1)=sim_data(i,1)-15.0-0.7;    
Force(i,1)=((sim_data(i,2)+sim_data(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
simres=[time Force];

%test values to plot:
for i = 1:132
    MTR(i,1)=MTR(i,1)-119.814-0.7;
    MTR(i,2)=MTR(i,2);
end

% Signal Filtering
fcut=1.58;
fsamp=1000;

[b,a] = butter(5,fcut/(0.5*fsamp),'low');
fhsimfilt = filtfilt(b,a,Forcefilt);
fhsimfilt_max=max(fhsimfilt)


%PLOT
%figure;
def=applyDefaultFontProperties(figure());

simla=plot(simres(:,1),Forcefilt,'-','linewidth',1.3);
hold all
filt=plot(simres(:,1),fhsimfilt,'--');
%test=plot(MTR(:,1),MTR(:,2),'--');

axis([0 6 0 250]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Force [kN]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('SIMLA','filtered','Test','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',19);

Lowpass_840_075_fixed=gcf;
saveas(Lowpass_840_075_fixed,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Lowpass_840_075_fixed.eps', 'psc2');
%save plot:
%filtered_840_075_fixed=gcf;
%saveas(filtered_840_075_fixed,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Filtered_840_075_fixed.eps','psc2');

hold off %releases the graph for a fresh start






%%%%%%%%%%%%%%%%%%%%%% 840 mm 05 FIXED %%%%%%%%%%%%%%%%%%%%%%%%
clear;
disp('840mm 0.5m fixed:')
BaseFile1 = 'read\840_05_195_Fixed_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data = cell2mat(SR);
% Open the MT=model test file, read, close.
MT = fopen('read\3270.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
% Open the DNV load from RP-F-111, with point load in simla, read, close.
BaseFile1 = 'read\840_05_195_Fixed_DNV_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data=cell2mat(DNVR);
% Transform your cell array into an ordinary matrix 
MTR=cell2mat(MTread);

%max Fh from model test:
Fhtest=max(MTR(:,2))
%max Fh from simulation:
for i=3820:13820  
Forcefilt(i,1)=(sim_data(i,2)+sim_data(i,3))/1000;
end
Fhsimla=max(Forcefilt)
%max Fh from DNV:
for i=1:240  
ForceDNV(i,1)=(DNV_data(i,2)+DNV_data(i,3))/1000;
end
FhDNV=max(ForceDNV)
%simulation values to plot:
for i=4820:13820
time(i,1)=sim_data(i,1)-16.0;    
Force(i,1)=((sim_data(i,2)+sim_data(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
simres=[time Force];

%test values to plot:
for i = 1:145
    MTR(i,1)=MTR(i,1)-111.272-1.2;
    MTR(i,2)=MTR(i,2);
end

% Signal Filtering
fcut=1.58;
fsamp=1000;

[b,a] = butter(5,fcut/(0.5*fsamp),'low');
fhsimfilt = filtfilt(b,a,Forcefilt);
fhsimfilt_max=max(fhsimfilt)


%PLOT
def=applyDefaultFontProperties(figure());

simla=plot(simres(:,1),Forcefilt,'-','linewidth',1.3);
hold all
filt=plot(simres(:,1),fhsimfilt,'--');
%test=plot(MTR(:,1),MTR(:,2),'--');

axis([0 6 0 250]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Force [kN]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('SIMLA','filtered','Test','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',19);
Lowpass_840_05_fixed=gcf;
saveas(Lowpass_840_05_fixed,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Lowpass_840_05_fixed.eps', 'psc2');
hold off %releases the graph for a fresh start







%%%%%%%%%%%%%%%%%%%%%% 840 mm 025 FIXED %%%%%%%%%%%%%%%%%%%%%%%%
clear;
disp('840mm 0.25m fixed:')
BaseFile1 = 'read\840_025_195_Fixed_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data = cell2mat(SR);
% Open the MT=model test file, read, close.
MT = fopen('read\3180.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 2);
fclose(MT); 
% Open the DNV load from RP-F-111, with point load in simla, read, close.
BaseFile1 = 'read\840_025_195_Fixed_DNV_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data=cell2mat(DNVR);
% Transform your cell array into an ordinary matrix 
MTR=cell2mat(MTread);

%max Fh from model test:
Fhtest=max(MTR(:,2))
%max Fh from simulation:
for i=3820:13820  
Forcefilt(i,1)=(sim_data(i,2)+sim_data(i,3))/1000;
end
Fhsimla=max(Forcefilt)
%max Fh from DNV:
for i=1:240  
ForceDNV(i,1)=(DNV_data(i,2)+DNV_data(i,3))/1000;
end
FhDNV=max(ForceDNV)
%simulation values to plot:
for i=4820:13820
time(i,1)=sim_data(i,1)-16.0;    
Force(i,1)=((sim_data(i,2)+sim_data(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
simres=[time Force];

%test values to plot:
for i = 1:180
    MTR(i,1)=MTR(i,1)-149.623-0.95;
    MTR(i,2)=MTR(i,2);
end

% Signal Filtering
fcut=1.58;
fsamp=1000;

[b,a] = butter(5,fcut/(0.5*fsamp),'low');
fhsimfilt = filtfilt(b,a,Forcefilt);
fhsimfilt_max=max(fhsimfilt)


%PLOT
def=applyDefaultFontProperties(figure());

simla=plot(simres(:,1),Forcefilt,'-','linewidth',1.3);
hold all
filt=plot(simres(:,1),fhsimfilt,'--');
%test=plot(MTR(:,1),MTR(:,2),'--');

axis([0 6 0 250]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Force [kN]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('SIMLA','filtered','Test','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',19);
Lowpass_840_025_fixed=gcf;
saveas(Lowpass_840_025_fixed,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Lowpass_840_025_fixed.eps', 'psc2');
hold off %releases the graph for a fresh start

end
