function [ ] = big_350_075_all( )
clear;clc
% Provide base file name and number of files to be read
BaseFile1 = 'read\big_350_075_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350_075 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_350_075_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_075=cell2mat(DNVR); 

BaseFile1 = 'read\big_350_05_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350_05 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_350_05_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_05=cell2mat(DNVR); 

BaseFile1 = 'read\big_350_025_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350_025 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_350_025_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_025=cell2mat(DNVR); 

%max Fh from simulation:
for i=2820:21820  
%for i=4820:13820  
Force(i,1)=(((-1)*sim_data350_075(i,2))+((-1)*sim_data350_075(i,3)))/1000;
end
Fhsimla=max(Force);


%simulation values to plot:
for i=3820:21820  
%for i=4820:13820
time350_075(i,1)=sim_data350_075(i,1)-15.0-1;    
Force350_075(i,1)=((((-1)*(sim_data350_075(i,2)))+((-1)*sim_data350_075(i,3)))/1000);%/Fhtest;

time350_05(i,1)=sim_data350_05(i,1)-15.0-1;    
Force350_05(i,1)=((((-1)*(sim_data350_05(i,2)))+((-1)*sim_data350_05(i,3)))/1000);%/Fhtest;

time350_025(i,1)=sim_data350_025(i,1)-15.0-1;    
Force350_025(i,1)=((((-1)*(sim_data350_025(i,2)))+((-1)*sim_data350_025(i,3)))/1000);%/Fhtest;
end
%matrix from simulation to be used in plot:
simres350_075=[time350_075 Force350_075];
simres350_05=[time350_05 Force350_05];
simres350_025=[time350_025 Force350_025];

%DNV values to plot:
for i=1:280
timeDNV350_075(i,1)=DNV_data350_075(i,1)-0.4-1;    
ForceDNV350_075(i,1)=(-1)*((DNV_data350_075(i,2)+DNV_data350_075(i,3))/1000);%/Fhtest;

timeDNV350_05(i,1)=DNV_data350_05(i,1)-0.4-1;    
ForceDNV350_05(i,1)=(-1)*((DNV_data350_05(i,2)+DNV_data350_05(i,3))/1000);%/Fhtest;

timeDNV350_025(i,1)=DNV_data350_025(i,1)-0.4-1;    
ForceDNV350_025(i,1)=(-1)*((DNV_data350_025(i,2)+DNV_data350_025(i,3))/1000);%/Fhtest;

end
%matrix from simulation to be used in plot:
DNVres350_075=[timeDNV350_075 ForceDNV350_075];
DNVres350_05=[timeDNV350_05 ForceDNV350_05];
DNVres350_025=[timeDNV350_025 ForceDNV350_025];


%PLOT

%function defining plot properties is applied:
def=applyDefaultFontProperties(figure());
%figure %open up a new figure window

%plot simulation results:
simla350_075=plot(simres350_075(:,1),simres350_075(:,2),'-','linewidth',1.3);

%Defining axis range and axis text
axis([0 12.0 -0.5 350]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Pull over force [kN]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis

hold all %want to make another plot in same graph
simla350_05=plot(simres350_05(:,1),simres350_05(:,2),'-','linewidth',1.3);
simla350_025=plot(simres350_025(:,1),simres350_025(:,2),'-','linewidth',1.3);
dnv350_075=plot(DNVres350_075(:,1),DNVres350_075(:,2),'-.');
dnv350_05=plot(DNVres350_05(:,1),DNVres350_05(:,2),'-.');
dnv350_025=plot(DNVres350_025(:,1),DNVres350_025(:,2),'-.');
%make legend:
l=legend('0.75 m','0.5 m','0.25 m','DNV 0.75 m','DNV 0.5 m','DNV 0.25 m','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);
%hold off %releases the graph for a fresh start

%save plot:
bigmodel_350_all=gcf;
saveas(bigmodel_350_all,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Big350_all.eps','psc2');
hold off %releases the graph for a fresh start

end