function [ ] = big_530_075_all( )
clear;clc
% Provide base file name and number of files to be read
BaseFile1 = 'read\big_530_075_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530_075 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_530_075_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_075=cell2mat(DNVR); 

BaseFile1 = 'read\big_530_05_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530_05 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_530_05_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_05=cell2mat(DNVR); 

BaseFile1 = 'read\big_530_025_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530_025 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_530_025_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_025=cell2mat(DNVR); 


%%%%%%%%%%%%%%%%%% max Force from simulation: %%%%%%%%%%%%%%%%%%%%%%

for i=5650:21820    
Force530_075(i,1)=(((-1)*sim_data530_075(i,2))+((-1)*sim_data530_075(i,3)))/1000;
Force530_05(i,1)=(((-1)*sim_data530_05(i,2))+((-1)*sim_data530_05(i,3)))/1000;
Force530_025(i,1)=(((-1)*sim_data530_025(i,2))+((-1)*sim_data530_025(i,3)))/1000;

end
Fhsimla=max(Force530_075);
Fhsimla530_075=Fhsimla
Fhsimla530_05=max(Force530_05)
Fhsimla530_025=max(Force530_025)

%%%%%%%%%%%%%%%%%%%%%%% max Force from DNV: %%%%%%%%%%%%%%%%%%%%%%%%%%
for i=1:280  
ForceDNV530_075(i,1)=(-1)*(DNV_data530_075(i,2)+DNV_data530_075(i,3))/1000;
ForceDNV530_05(i,1)=(-1)*(DNV_data530_05(i,2)+DNV_data530_05(i,3))/1000;
ForceDNV530_025(i,1)=(-1)*(DNV_data530_025(i,2)+DNV_data530_025(i,3))/1000;
end
FhDNV530_075=max(ForceDNV530_075);
FhDNV530_05=max(ForceDNV530_05);
FhDNV530_025=max(ForceDNV530_025);


%%%%%%%%%%%%%%%%%%%%% simulation values to plot: %%%%%%%%%%%%%%%%%%%%%%%%%
for i=3820:21820  
%for i=4820:13820
time530_075(i,1)=sim_data530_075(i,1)-15.0-1;    
Force530_075(i,1)=((((-1)*(sim_data530_075(i,2)))+((-1)*sim_data530_075(i,3)))/1000);%/Fhtest;

time530_05(i,1)=sim_data530_05(i,1)-15.0-1;    
Force530_05(i,1)=((((-1)*(sim_data530_05(i,2)))+((-1)*sim_data530_05(i,3)))/1000);%/Fhtest;

time530_025(i,1)=sim_data530_025(i,1)-15.0-1;    
Force530_025(i,1)=((((-1)*(sim_data530_025(i,2)))+((-1)*sim_data530_025(i,3)))/1000);%/Fhtest;
end
%matrix from simulation to be used in plot:
simres530_075=[time530_075 Force530_075];
simres530_05=[time530_05 Force530_05];
simres530_025=[time530_025 Force530_025];

%DNV values to plot:
for i=1:280
timeDNV530_075(i,1)=DNV_data530_075(i,1)-0.4-1;    
ForceDNV530_075(i,1)=(-1)*((DNV_data530_075(i,2)+DNV_data530_075(i,3))/1000);%/Fhtest;

timeDNV530_05(i,1)=DNV_data530_05(i,1)-0.4-1;    
ForceDNV530_05(i,1)=(-1)*((DNV_data530_05(i,2)+DNV_data530_05(i,3))/1000);%/Fhtest;

timeDNV530_025(i,1)=DNV_data530_025(i,1)-0.4-1;    
ForceDNV530_025(i,1)=(-1)*((DNV_data530_025(i,2)+DNV_data530_025(i,3))/1000);%/Fhtest;

end
%matrix from simulation to be used in plot:
DNVres530_075=[timeDNV530_075 ForceDNV530_075];
DNVres530_05=[timeDNV530_05 ForceDNV530_05];
DNVres530_025=[timeDNV530_025 ForceDNV530_025];


%PLOT

%function defining plot properties is applied:
def=applyDefaultFontProperties(figure());

simla530_075=plot(simres530_075(:,1),simres530_075(:,2),'-','linewidth',1.3);

%Defining axis range and axis text
axis([0 9.0 -0.5 300]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Pull over force [kN]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis

hold all %want to make another plot in same graph
simla530_05=plot(simres530_05(:,1),simres530_05(:,2),'-','linewidth',1.3);
simla530_025=plot(simres530_025(:,1),simres530_025(:,2),'-','linewidth',1.3);
dnv530_075=plot(DNVres530_075(:,1),DNVres530_075(:,2),'-.');
dnv530_05=plot(DNVres530_05(:,1),DNVres530_05(:,2),'-.');
dnv530_025=plot(DNVres530_025(:,1),DNVres530_025(:,2),'-.');
%make legend:
l=legend('0.75 m','0.5 m','0.25 m','DNV 0.75 m','DNV 0.5 m','DNV 0.25 m','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',19);
%hold off %releases the graph for a fresh start

%save plot:
bigmodel_530_all=gcf;
saveas(bigmodel_530_all,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Big530_all.eps','psc2');
hold off %releases the graph for a fresh start

end